Get a template warm pool
import requests
url = "https://api.13-215-85-171.sslip.io/v1/template-warm-pools/{warm_pool_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/template-warm-pools/{warm_pool_id} \
--header 'Authorization: Bearer <token>'{
"id": "twp_review_pool",
"name": "<string>",
"template_ref": "<string>",
"resolved_template": "<string>",
"resources": {
"vcpus": 2,
"memory_mb": 2,
"disk_mb": 2
},
"min_ready": 123,
"max_ready": 123,
"idle_timeout_seconds": 123,
"stale_after_seconds": 123,
"checkout_policy": "prefer",
"version_policy": "pinned_build",
"rollout_generation": 123,
"rollout_status": {},
"status": {
"target": 123,
"ready": 123,
"warming": 123,
"claimed": 123,
"draining": 123,
"failed": 123,
"expired": 123,
"unavailable": 123
},
"state": "enabled",
"labels": {},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"resolved_template_build_id": "<string>",
"runtime_artifact_id": "<string>",
"host_pool_id": "<string>",
"cell_id": "<string>",
"compatibility_key": "<string>",
"track_tag": "<string>",
"previous_resolved_template": "<string>",
"previous_resolved_template_build_id": "<string>",
"previous_runtime_artifact_id": "<string>",
"degraded_reason": "no_eligible_hosts",
"enabled_at": "2023-11-07T05:31:56Z",
"disabled_at": "2023-11-07T05:31:56Z",
"drain_requested_at": "2023-11-07T05:31:56Z",
"last_reconciled_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}{
"error": "Missing or invalid bearer credential",
"code": "unauthorized",
"request_id": "req_123"
}{
"error": "<string>",
"code": "invalid_request",
"error_detail": {
"code": "unauthorized",
"message": "<string>",
"phase": "auth",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}Templates
Get a template warm pool
GET
/
v1
/
template-warm-pools
/
{warm_pool_id}
Get a template warm pool
import requests
url = "https://api.13-215-85-171.sslip.io/v1/template-warm-pools/{warm_pool_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/template-warm-pools/{warm_pool_id} \
--header 'Authorization: Bearer <token>'{
"id": "twp_review_pool",
"name": "<string>",
"template_ref": "<string>",
"resolved_template": "<string>",
"resources": {
"vcpus": 2,
"memory_mb": 2,
"disk_mb": 2
},
"min_ready": 123,
"max_ready": 123,
"idle_timeout_seconds": 123,
"stale_after_seconds": 123,
"checkout_policy": "prefer",
"version_policy": "pinned_build",
"rollout_generation": 123,
"rollout_status": {},
"status": {
"target": 123,
"ready": 123,
"warming": 123,
"claimed": 123,
"draining": 123,
"failed": 123,
"expired": 123,
"unavailable": 123
},
"state": "enabled",
"labels": {},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"resolved_template_build_id": "<string>",
"runtime_artifact_id": "<string>",
"host_pool_id": "<string>",
"cell_id": "<string>",
"compatibility_key": "<string>",
"track_tag": "<string>",
"previous_resolved_template": "<string>",
"previous_resolved_template_build_id": "<string>",
"previous_runtime_artifact_id": "<string>",
"degraded_reason": "no_eligible_hosts",
"enabled_at": "2023-11-07T05:31:56Z",
"disabled_at": "2023-11-07T05:31:56Z",
"drain_requested_at": "2023-11-07T05:31:56Z",
"last_reconciled_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}{
"error": "Missing or invalid bearer credential",
"code": "unauthorized",
"request_id": "req_123"
}{
"error": "<string>",
"code": "invalid_request",
"error_detail": {
"code": "unauthorized",
"message": "<string>",
"phase": "auth",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}Authorizations
API key passed as Bearer token
Path Parameters
Tenant warm-pool id.
Response
Warm pool
Example:
"twp_review_pool"
Show child attributes
Show child attributes
Available options:
prefer, require, bypass Available options:
pinned_build, track_tag Server-built rollout/count diagnostics (for example current_counts or observed_pool_counts). Deliberately open: the shape tracks the warm-pool controller.
Show child attributes
Show child attributes
Available options:
enabled, disabled, draining, deleted Stored user-supplied pool labels; uninterpreted by the server, deliberately open.
Stored user-supplied pool metadata; uninterpreted by the server, deliberately open.
Available options:
no_eligible_hosts, artifact_not_ready, artifact_prewarm_failed, quota_exceeded, template_build_unavailable, controller_disabled, drain_active Last time the warm-pool controller reconciled public status and rollout counts for this pool.